{% extends 'skeleton/base.html' %} {% load static %}
<!DOCTYPE html>
<html lang="en">
  {% block head %}
  <title>Lista de productos</title>

  {% endblock %}

  <body>
    {% block manual %}
    <div class="manual-icon">
      <a href="#openModal"
        ><i class="fa fa-question-circle" aria-hidden="true"></i
      ></a>
    </div>
    <div id="openModal" class="modalDialog">
      <div class="container-manual">
        <a href="#close" title="Close" class="close">X</a>
        <h2 class="title-manual">Manual de uso</h2>
        <p class="p-manual">
          Esta es la ventana "Listar Productos": aquí podrá visualizar todos los
          productos anteriormente agregados. <br />
          Los productos se mostrarán según la fecha de ingreso de forma
          descendente, al costado de cada producto se muestra un link donde podrá
          editar los campos de un producto de ser necesario.
        </p>
      </div>
    </div>
    {% endblock %} {% block content %} 
    
    {% if request.user.is_authenticated %}
    <!--verificar link-->
    <!--  <button><i class="fa fa-plus" aria-hidden="true"></i> <a class="nav-link" href="{% url 'base:agregarproducto' %}"
      ></a
    ></button> -->

    <a type="button" class="btn btn-primary" href="{% url 'base:agregarproducto' %}">
      <i class="fa fa-plus" aria-hidden="true"></i> Agregar Producto
    </a>
    <h1 class="title-h1">Lista de productos</h1>
    <table id="myTable" class="table table-striped table-bordered">
      <thead>
        <tr>
          <th>Código de barras:</th>
          <th>Marca:</th>
          <th>Descripción:</th>
          <th>Precio de compra:</th>
          <th>Precio de venta:</th>
          <th>Fecha de vencimiento:</th>
          <th>Stock:</th>
          <th>Stock critico:</th>
          <th>Tipo de producto:</th>
          <th>Orden proveniente:</th>
          <th>Opciones:</th>
        </tr>
      </thead>
      <tbody>
        {% for c in product %}
        <tr>
          <td>{{ c.barcode}}</td>
          <td>{{ c.brand}}</td>
          <td>{{ c.description}}</td>
          <td>{{ c.purchase_price}}</td>
          <td>{{ c.sale_price}}</td>
          <td>{{ c.expiry_date}}</td>
          <td>{{ c.stock}}</td>
          <td>{{ c.critical_stock}}</td>
          <td>{{ c.product_type}}</td>
          <td>
            {{ c.order}}
          </td>
          <td>
            <a
              type="button"
              class="btn btn-primary"
              href="/editar_producto/{{ c.id }}"
            >
              <i
                class="fa fa-pencil-square-o"
                aria-hidden="true"
                style="font-size: 20px;"
              ></i>
            </a>
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
    {% else %}

    {% endif %} {% endblock content %}
  </body>
</html>
